Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.shared.services.impl
Class JbpmLocalTransactionManager

    java.lang.Object
      org.jbpm.shared.services.impl.JbpmLocalTransactionManager

All Implemented Interfaces:
  JbpmServicesTransactionManager

    public class JbpmLocalTransactionManager

extends Object
implements JbpmServicesTransactionManager

Constructor Summary
`JbpmLocalTransactionManager()`

Method Summary
`void` | `attachPersistenceContext(javax.persistence.EntityManager em)`
`boolean` | `begin(javax.persistence.EntityManager em)`
`void` | `commit(javax.persistence.EntityManager em, boolean txOwner)`
`void` | `dispose()`
`int` | `getStatus(javax.persistence.EntityManager em)`
`void` | `registerTXSynchronization(org.drools.persistence.TransactionSynchronization txSync)`
`void` | `rollback(javax.persistence.EntityManager em, boolean txOwner)` It is the responsibility of this method to check that the status of the transaction is appropriate before rolling back the transaction.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JbpmLocalTransactionManager

    public JbpmLocalTransactionManager()

Method Detail

### attachPersistenceContext

    public void attachPersistenceContext(javax.persistence.EntityManager em)

  Specified by:
    `attachPersistenceContext` in interface `JbpmServicesTransactionManager`

### begin

    public boolean begin(javax.persistence.EntityManager em)

  Specified by:
    `begin` in interface `JbpmServicesTransactionManager`

### commit

    public void commit(javax.persistence.EntityManager em,
                       boolean txOwner)

  Specified by:
    `commit` in interface `JbpmServicesTransactionManager`

### rollback

    public void rollback(javax.persistence.EntityManager em,
                         boolean txOwner)

  Description copied from interface: `JbpmServicesTransactionManager`
  It is the responsibility of this method to check that the status of the transaction is appropriate before rolling back the transaction.

  Specified by:
    `rollback` in interface `JbpmServicesTransactionManager`
  Parameters:
    `em` - The persistence context (aka, the entity manager)
    `txOwner` - Whether or not the calling clause is owner of this transaction.

### getStatus

    public int getStatus(javax.persistence.EntityManager em)

  Specified by:
    `getStatus` in interface `JbpmServicesTransactionManager`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `JbpmServicesTransactionManager`

### registerTXSynchronization

    public void registerTXSynchronization(org.drools.persistence.TransactionSynchronization txSync)

  Specified by:
    `registerTXSynchronization` in interface `JbpmServicesTransactionManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.